<?php

namespace IQBall\Core\Model;

use IQBall\Core\Gateway\PersonalSpaceGateway;
use IQBall\Core\Gateway\TacticInfoGateway;

class PersonalSpaceModel {
    private PersonalSpaceGateway $personalSpaces;
    private TacticInfoGateway $tactics;

    /**
     * @param PersonalSpaceGateway $personalSpaces
     * @param TacticInfoGateway $tactics
     */
    public function __construct(PersonalSpaceGateway $personalSpaces,TacticInfoGateway $tactics) {
        $this->personalSpaces = $personalSpaces;
        $this->tactics = $tactics;
    }

    public function createFolder(string $folderName,int $ownerId,int $parentFolder): void{
        $this->personalSpaces->addFolder($folderName,$ownerId,$parentFolder);
    }

    public function getFolderContent(int $acountId,int $folderId = 0): array{
        $tactics = $this->personalSpaces->getFolderTactic($acountId,$folderId);

    }

}